## prometheus-elasticsearch-exporter 1.1.0%2Bds

=== debian/changelog ===
prometheus-elasticsearch-exporter (1.1.0+ds-2) unstable; urgency=medium

  * Team upload.
  * No change upload to rebuild on buildd.

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Thu, 04 Feb 2021 17:25:04 +0100

prometheus-elasticsearch-exporter (1.1.0+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #935317)

 -- Badreddin Aboubakr <badreddin.aboubakr@cloud.ionos.com>  Mon, 25 Jan 2021 21:21:21 +0100

## prometheus-elasticsearch-exporter 1.1.0+ds

=== Makefile ===
# Copyright 2016 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

GO    := GO15VENDOREXPERIMENT=1 go
PROMU := $(GOPATH)/bin/promu
GOLINTER                ?= $(GOPATH)/bin/gometalinter
pkgs   = $(shell $(GO) list ./... | grep -v /vendor/)

PREFIX                  ?= $(shell pwd)
BIN_DIR                 ?= $(shell pwd)
DOCKER_IMAGE_NAME       ?= elasticsearch-exporter
DOCKER_IMAGE_TAG        ?= $(subst /,-,$(shell git rev-parse --abbrev-ref HEAD))


all: format build test

style:
	@echo ">> checking code style"
	@! gofmt -d $(shell find . -path ./vendor -prune -o -name '*.go' -print) | grep '^'

test:
	@echo ">> running tests"
	@$(GO) test -short $(pkgs)

format:
	@echo ">> formatting code"
	@$(GO) fmt $(pkgs)

vet:
	@echo ">> vetting code"
	@$(GO) vet $(pkgs)

build: promu
	@echo ">> building binaries"
	@$(PROMU) build --prefix $(PREFIX)

crossbuild: promu
	@echo ">> cross-building binaries"
	@$(PROMU) crossbuild

tarball: promu
	@echo ">> building release tarball"
	@$(PROMU) tarball --prefix $(PREFIX) $(BIN_DIR)

tarballs: promu
	@echo ">> building release tarballs"
	@$(PROMU) crossbuild tarballs
	@echo ">> calculating release checksums"
	@$(PROMU) checksum $(BIN_DIR)/.tarballs

docker:
	@echo ">> building docker image"
	@docker build -t "$(DOCKER_IMAGE_NAME):$(DOCKER_IMAGE_TAG)" .

promu:
	@GOOS=$(shell uname -s | tr A-Z a-z) \
	        GOARCH=$(subst x86_64,amd64,$(patsubst i%86,386,$(shell uname -m))) \
	        $(GO) get -u github.com/prometheus/promu

gometalinter: $(GOLINTER)
	@echo ">> linting code"
	@$(GOLINTER) --install > /dev/null
	@$(GOLINTER) --config=./.gometalinter.json ./...

$(GOPATH)/bin/gometalinter lint:
	@GOOS=$(shell uname -s | tr A-Z a-z) \
		GOARCH=$(subst x86_64,amd64,$(patsubst i%86,386,$(shell uname -m))) \
		$(GO) get -u github.com/alecthomas/gometalinter

.PHONY: all style format build test vet tarball docker promu $(GOPATH)/bin/gometalinter lint

=== debian/control ===
Source: prometheus-elasticsearch-exporter
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Badreddin Aboubakr <badreddin.aboubakr@cloud.ionos.com>,
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-github-blang-semver-dev,
               golang-github-go-kit-kit-dev,
               golang-github-imdario-mergo-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-common-dev,
               golang-go,
               golang-gopkg-alecthomas-kingpin.v2-dev,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/justwatchcom/elasticsearch_exporter
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-elasticsearch-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-elasticsearch-exporter.git
XS-Go-Import-Path: github.com/justwatchcom/elasticsearch_exporter

Package: prometheus-elasticsearch-exporter
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: adduser,
         ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using},
Description: Prometheus exporter for various metrics about Elasticsearch
 The exporter fetches various information from an Elasticsearch
 cluster on every scrape.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

BUILDDIR := $(CURDIR)/build
METAPKG := github.com/prometheus/common

BRANCH     := debian/sid
USER       := team+pkg-go@tracker.debian.org
BUILD_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
    +%Y%m%d-%H:%M:%S)
GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
BUILDTAGS  :=
BUILDFLAGS  = -tags "$(BUILDTAGS)" -ldflags \
  " -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
    -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
    -X $(METAPKG)/version.Branch=$(BRANCH)\
    -X $(METAPKG)/version.BuildUser=$(USER)\
    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"

BINNAME := $(DEB_SOURCE)

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)
	# Rename the binary to match the debian package.
	mv -v $(BUILDDIR)/bin/elasticsearch_exporter $(BUILDDIR)/bin/$(BINNAME)

override_dh_auto_install:
	dh_auto_install -- --no-source

=== debian/watch ===
version=4
opts=dversionmangle=auto,uversionmangle=s/rc/~rc/ \
  https://github.com/justwatchcom/elasticsearch_exporter/tags .*/archive/v?(\d\S+)\.tar\.gz

## prometheus-elasticsearch-exporter 1.5.0

=== debian/changelog ===
prometheus-elasticsearch-exporter (1.5.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Add new build-dep golang-github-aws-aws-sdk-go-v2-dev

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 30 Jan 2023 23:23:22 +0000

prometheus-elasticsearch-exporter (1.4.0-2) unstable; urgency=medium

  * Team upload
  * Fix debian/watch, based on dh-make-golang template
  * Bump Standards-Version to 4.6.2 (no changes)
  * Remove --help output from default file

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 10 Jan 2023 00:00:56 +0000

prometheus-elasticsearch-exporter (1.4.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Drop +ds suffix, since we no longer need to unvendor
  * Drop obsolete patches
    - 01-fix-http-handler.patch
    - 02-fix-flaky-test.patch
  * Update upstream URLs and XS-Go-Import-Path
  * Update copyright attribution
  * Replace golang-github-go-kit-kit-dev build-dep with
    golang-github-go-kit-log-dev
  * Bump Standards-Version to 4.6.1 (no changes)
  * Replace dh-golang with dh-sequence-golang
  * Replace golang-go build-dep with golang-any

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 24 Oct 2022 18:48:52 +0000

=== debian/control ===
Source: prometheus-elasticsearch-exporter
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Badreddin Aboubakr <badreddin.aboubakr@cloud.ionos.com>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-aws-aws-sdk-go-v2-dev,
               golang-github-blang-semver-dev,
               golang-github-go-kit-log-dev,
               golang-github-imdario-mergo-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-common-dev,
               golang-gopkg-alecthomas-kingpin.v2-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/prometheus-community/elasticsearch_exporter
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-elasticsearch-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-elasticsearch-exporter.git
XS-Go-Import-Path: github.com/prometheus-community/elasticsearch_exporter

Package: prometheus-elasticsearch-exporter
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: adduser,
         ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using},
Description: Prometheus exporter for various metrics about Elasticsearch
 The exporter fetches various information from an Elasticsearch
 cluster on every scrape.

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DH_GOLANG_INSTALL_EXTRA := fixtures
 
 BUILDDIR := $(CURDIR)/build
 METAPKG := github.com/prometheus/common
@@ -24,7 +26,7 @@
 BINNAME := $(DEB_SOURCE)
 
 %:
-	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)
+	dh $@ --buildsystem=golang --builddirectory=$(BUILDDIR)
 
 override_dh_auto_build:
 	dh_auto_build -- $(BUILDFLAGS)

## prometheus-elasticsearch-exporter 1.6.0

=== debian/changelog ===
prometheus-elasticsearch-exporter (1.6.0-1ubuntu0.1) mantic-security; urgency=medium

  * No-change rebuild due to golang-1.20, golang1-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 29 Jan 2024 10:43:44 +0530

prometheus-elasticsearch-exporter (1.6.0-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:17:32 +1200

prometheus-elasticsearch-exporter (1.6.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Add new Revert-alecthomas-kingpin-import-path.patch
  * Add new build-dep golang-github-prometheus-exporter-toolkit-dev

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 04 Jul 2023 19:30:21 +0000

## prometheus-elasticsearch-exporter 1.7.0

=== Makefile ===
# Ensure that 'all' is the default target otherwise it will be the first target from Makefile.common.
all::

# Needs to be defined before including Makefile.common to auto-generate targets
DOCKER_ARCHS ?= amd64 armv7 arm64 ppc64le
DOCKER_REPO  ?= prometheuscommunity

include Makefile.common

DOCKER_IMAGE_NAME       ?= elasticsearch-exporter

=== debian/changelog ===
prometheus-elasticsearch-exporter (1.7.0-1ubuntu0.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 21 Jul 2025 10:05:10 +1000

prometheus-elasticsearch-exporter (1.7.0-1ubuntu0.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 07 Nov 2024 13:52:42 +1000

prometheus-elasticsearch-exporter (1.7.0-1ubuntu0.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 16 Jul 2024 08:37:40 +0530

prometheus-elasticsearch-exporter (1.7.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Modernise debian/rules to generate manpage from exporter itself

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 15 Jan 2024 00:29:02 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Badreddin Aboubakr <badreddin.aboubakr@cloud.ionos.com>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
@@ -13,6 +14,7 @@
                golang-github-imdario-mergo-dev,
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-common-dev,
+               golang-github-prometheus-exporter-toolkit-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

# Uncomment this to enable verbose mode.
#export DH_VERBOSE := 1

export DH_GOLANG_INSTALL_EXTRA := fixtures

METAPKG := github.com/prometheus/common

BRANCH     := debian/sid
USER       := team+pkg-go@tracker.debian.org
BUILD_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
    +%Y%m%d-%H:%M:%S)
GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
BUILDFLAGS  = -ldflags \
  " -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
    -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
    -X $(METAPKG)/version.Branch=$(BRANCH)\
    -X $(METAPKG)/version.BuildUser=$(USER)\
    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"

%:
	dh $@ --builddirectory=_build --buildsystem=golang

BINNAME := $(DEB_SOURCE)

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)
	# Rename the binary to match the debian package.
	mv -v _build/bin/elasticsearch_exporter _build/bin/$(BINNAME)

MAN_WHATIS := $(BINNAME) \\- Prometheus exporter for Elasticsearch metrics
MAN_PROG := $(shell echo $(BINNAME) | tr [:lower:] [:upper:])
MAN_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' '+%B %Y')

execute_before_dh_installman:
	_build/bin/$(BINNAME) --help-man > _build/$(BINNAME).1
	# Fix title header and footer.
	sed -i '/^.TH .*/c.TH $(MAN_PROG) "1" "$(MAN_DATE)" "$(DEB_SOURCE) $(DEB_VERSION_UPSTREAM)" "Prometheus"/' \
        _build/$(BINNAME).1
	# Remove build user/build date/go version headers, which is ugly.
	sed -i '/^  /d' _build/$(BINNAME).1
	# Fix whatis entry.
	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n$(MAN_WHATIS)' _build/$(BINNAME).1

override_dh_auto_install:
	dh_auto_install -- --no-source

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/prometheus-community/elasticsearch_exporter/tags .*/v?(\d\S*)\.tar\.gz debian

## prometheus-elasticsearch-exporter 1.8.0

=== debian/changelog ===
prometheus-elasticsearch-exporter (1.8.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.7.0 (no changes)
  * Refresh patches

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 23 Sep 2024 13:53:26 +0000

prometheus-elasticsearch-exporter (1.7.0-2) unstable; urgency=medium

  * Team upload
  * Add new 0002-Support-prometheus-common-v0.50.0.patch
  * Bump golang-github-prometheus-client-golang-dev version constraint
    (>= 1.19.0)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 18 Mar 2024 04:38:19 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Badreddin Aboubakr <badreddin.aboubakr@cloud.ionos.com>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
@@ -12,11 +11,11 @@
                golang-github-blang-semver-dev,
                golang-github-go-kit-log-dev,
                golang-github-imdario-mergo-dev,
-               golang-github-prometheus-client-golang-dev,
+               golang-github-prometheus-client-golang-dev (>= 1.19.0),
                golang-github-prometheus-common-dev,
                golang-github-prometheus-exporter-toolkit-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/prometheus-community/elasticsearch_exporter
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-elasticsearch-exporter

## prometheus-elasticsearch-exporter 1.9.0

=== debian/changelog ===
prometheus-elasticsearch-exporter (1.9.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Refresh packaging according to latest dh-make-golang template
  * Bump Standards-Version to 4.7.2 (no changes)
  * Drop obsolete 0002-Support-prometheus-common-v0.50.0.patch (applied
    upstream)
  * Refresh remaining patches
  * Drop unused Build-Depends golang-github-go-kit-log-dev
  * Bump golang-github-prometheus-exporter-toolkit-dev version constraint
    (>= 0.13.0)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 03 Mar 2025 16:18:58 +0000

=== debian/control ===
Source: prometheus-elasticsearch-exporter
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Badreddin Aboubakr <badreddin.aboubakr@cloud.ionos.com>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-aws-aws-sdk-go-v2-dev,
               golang-github-blang-semver-dev,
               golang-github-imdario-mergo-dev,
               golang-github-prometheus-client-golang-dev (>= 1.19.0),
               golang-github-prometheus-common-dev,
               golang-github-prometheus-exporter-toolkit-dev (>= 0.13.0),
               golang-gopkg-alecthomas-kingpin.v2-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-elasticsearch-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-elasticsearch-exporter.git
Homepage: https://github.com/prometheus-community/elasticsearch_exporter
XS-Go-Import-Path: github.com/prometheus-community/elasticsearch_exporter

Package: prometheus-elasticsearch-exporter
Section: net
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: adduser,
         ${misc:Depends},
         ${shlibs:Depends},
Static-Built-Using: ${misc:Static-Built-Using}
Description: Prometheus exporter for various metrics about Elasticsearch
 The exporter fetches various information from an Elasticsearch
 cluster on every scrape.
